From: Christophe Lucas <clucas@rotomalug.org>
Subject: [KJ] [PATCH] printk : drivers/block/paride/


printk() calls should include appropriate KERN_* constant.

Signed-off-by: Christophe Lucas <clucas@rotomalug.org>
Signed-off-by: Domen Puncer <domen@coderock.org>
---
 comm.c   |    2 +-
 dstr.c   |    2 +-
 epat.c   |    4 ++--
 epia.c   |    4 ++--
 fit2.c   |    2 +-
 fit3.c   |    2 +-
 friq.c   |    4 ++--
 frpw.c   |    8 ++++----
 kbic.c   |    2 +-
 ktti.c   |    2 +-
 on20.c   |    2 +-
 on26.c   |    4 ++--
 paride.c |   20 ++++++++++----------
 13 files changed, 29 insertions(+), 29 deletions(-)

Index: quilt/drivers/block/paride/comm.c
===================================================================
--- quilt.orig/drivers/block/paride/comm.c
+++ quilt/drivers/block/paride/comm.c
@@ -180,7 +180,7 @@ static void comm_log_adapter( PIA *pi, c
 
 {       char    *mode_string[5] = {"4-bit","8-bit","EPP-8","EPP-16","EPP-32"};
 
-        printk("%s: comm %s, DataStor Commuter at 0x%x, ",
+        printk(KERN_INFO "%s: comm %s, DataStor Commuter at 0x%x, ",
                 pi->device,COMM_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/dstr.c
===================================================================
--- quilt.orig/drivers/block/paride/dstr.c
+++ quilt/drivers/block/paride/dstr.c
@@ -195,7 +195,7 @@ static void dstr_log_adapter( PIA *pi, c
 {       char    *mode_string[5] = {"4-bit","8-bit","EPP-8",
 				   "EPP-16","EPP-32"};
 
-        printk("%s: dstr %s, DataStor EP2000 at 0x%x, ",
+        printk(KERN_INFO "%s: dstr %s, DataStor EP2000 at 0x%x, ",
                 pi->device,DSTR_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/epat.c
===================================================================
--- quilt.orig/drivers/block/paride/epat.c
+++ quilt/drivers/block/paride/epat.c
@@ -280,7 +280,7 @@ static int epat_test_proto( PIA *pi, cha
         epat_disconnect(pi);
 
         if (verbose)  {
-            printk("%s: epat: port 0x%x, mode %d, ccr %x, test=(%d,%d,%d)\n",
+            printk(KERN_DEBUG "%s: epat: port 0x%x, mode %d, ccr %x, test=(%d,%d,%d)\n",
 		   pi->device,pi->port,pi->mode,cc,e[0],e[1],f);
 	}
 	
@@ -298,7 +298,7 @@ static void epat_log_adapter( PIA *pi, c
         ver = RR(0xb);
         epat_disconnect(pi);
 
-	printk("%s: epat %s, Shuttle EPAT chip %x at 0x%x, ",
+	printk(KERN_INFO "%s: epat %s, Shuttle EPAT chip %x at 0x%x, ",
 		pi->device,EPAT_VERSION,ver,pi->port);
 	printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/epia.c
===================================================================
--- quilt.orig/drivers/block/paride/epia.c
+++ quilt/drivers/block/paride/epia.c
@@ -263,7 +263,7 @@ static int epia_test_proto( PIA *pi, cha
         epia_disconnect(pi);
 
         if (verbose)  {
-            printk("%s: epia: port 0x%x, mode %d, test=(%d,%d,%d)\n",
+            printk(KERN_DEBUG "%s: epia: port 0x%x, mode %d, test=(%d,%d,%d)\n",
                    pi->device,pi->port,pi->mode,e[0],e[1],f);
         }
         
@@ -277,7 +277,7 @@ static void epia_log_adapter( PIA *pi, c
 {       char    *mode_string[6] = {"4-bit","5/3","8-bit",
 				   "EPP-8","EPP-16","EPP-32"};
 
-        printk("%s: epia %s, Shuttle EPIA at 0x%x, ",
+        printk(KERN_INFO "%s: epia %s, Shuttle EPIA at 0x%x, ",
                 pi->device,EPIA_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/fit2.c
===================================================================
--- quilt.orig/drivers/block/paride/fit2.c
+++ quilt/drivers/block/paride/fit2.c
@@ -115,7 +115,7 @@ static void fit2_disconnect ( PIA *pi )
 
 static void fit2_log_adapter( PIA *pi, char * scratch, int verbose )
 
-{       printk("%s: fit2 %s, FIT 2000 adapter at 0x%x, delay %d\n",
+{	printk(KERN_INFO "%s: fit2 %s, FIT 2000 adapter at 0x%x, delay %d\n",
                 pi->device,FIT2_VERSION,pi->port,pi->delay);
 
 }
Index: quilt/drivers/block/paride/fit3.c
===================================================================
--- quilt.orig/drivers/block/paride/fit3.c
+++ quilt/drivers/block/paride/fit3.c
@@ -173,7 +173,7 @@ static void fit3_log_adapter( PIA *pi, c
 
 {       char    *mode_string[3] = {"4-bit","8-bit","EPP"};
 
-	printk("%s: fit3 %s, FIT 3000 adapter at 0x%x, "
+	printk(KERN_INFO "%s: fit3 %s, FIT 3000 adapter at 0x%x, "
 	       "mode %d (%s), delay %d\n",
                 pi->device,FIT3_VERSION,pi->port,
 		pi->mode,mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/friq.c
===================================================================
--- quilt.orig/drivers/block/paride/friq.c
+++ quilt/drivers/block/paride/friq.c
@@ -208,7 +208,7 @@ static int friq_test_proto( PIA *pi, cha
 	friq_disconnect(pi);
 
         if (verbose)  {
-            printk("%s: friq: port 0x%x, mode %d, test=(%d,%d,%d)\n",
+            printk(KERN_DEBUG "%s: friq: port 0x%x, mode %d, test=(%d,%d,%d)\n",
                    pi->device,pi->port,pi->mode,e[0],e[1],r);
         }
 
@@ -221,7 +221,7 @@ static void friq_log_adapter( PIA *pi, c
 {       char    *mode_string[6] = {"4-bit","8-bit",
 				   "EPP-8","EPP-16","EPP-32"};
 
-        printk("%s: friq %s, Freecom IQ ASIC-2 adapter at 0x%x, ", pi->device,
+        printk(KERN_INFO "%s: friq %s, Freecom IQ ASIC-2 adapter at 0x%x, ", pi->device,
 		FRIQ_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/frpw.c
===================================================================
--- quilt.orig/drivers/block/paride/frpw.c
+++ quilt/drivers/block/paride/frpw.c
@@ -231,14 +231,14 @@ static int frpw_test_proto( PIA *pi, cha
 
 	if (((pi->private%2) == 0) && (pi->mode > 2)) {
 	   if (verbose) 
-		printk("%s: frpw: Xilinx does not support mode %d\n",
+		printk(KERN_DEBUG "%s: frpw: Xilinx does not support mode %d\n",
 			pi->device, pi->mode);
 	   return 1;
 	}
 
 	if (((pi->private%2) == 1) && (pi->mode == 2)) {
 	   if (verbose)
-		printk("%s: frpw: ASIC does not support mode 2\n",
+		printk(KERN_DEBUG "%s: frpw: ASIC does not support mode 2\n",
 			pi->device);
 	   return 1;
 	}
@@ -261,7 +261,7 @@ static int frpw_test_proto( PIA *pi, cha
 	frpw_disconnect(pi);
 
         if (verbose)  {
-            printk("%s: frpw: port 0x%x, chip %ld, mode %d, test=(%d,%d,%d)\n",
+            printk(KERN_DEBUG "%s: frpw: port 0x%x, chip %ld, mode %d, test=(%d,%d,%d)\n",
                    pi->device,pi->port,(pi->private%2),pi->mode,e[0],e[1],r);
         }
 
@@ -274,7 +274,7 @@ static void frpw_log_adapter( PIA *pi, c
 {       char    *mode_string[6] = {"4-bit","8-bit","EPP",
 				   "EPP-8","EPP-16","EPP-32"};
 
-        printk("%s: frpw %s, Freecom (%s) adapter at 0x%x, ", pi->device,
+        printk(KERN_INFO "%s: frpw %s, Freecom (%s) adapter at 0x%x, ", pi->device,
 		FRPW_VERSION,((pi->private%2) == 0)?"Xilinx":"ASIC",pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/kbic.c
===================================================================
--- quilt.orig/drivers/block/paride/kbic.c
+++ quilt/drivers/block/paride/kbic.c
@@ -232,7 +232,7 @@ static void kbic_log_adapter( PIA *pi, c
 {       char    *mode_string[6] = {"4-bit","5/3","8-bit",
 				   "EPP-8","EPP_16","EPP-32"};
 
-        printk("%s: kbic %s, KingByte %s at 0x%x, ",
+        printk(KERN_INFO "%s: kbic %s, KingByte %s at 0x%x, ",
                 pi->device,KBIC_VERSION,chip,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/ktti.c
===================================================================
--- quilt.orig/drivers/block/paride/ktti.c
+++ quilt/drivers/block/paride/ktti.c
@@ -92,7 +92,7 @@ static void ktti_disconnect ( PIA *pi )
 
 static void ktti_log_adapter( PIA *pi, char * scratch, int verbose )
 
-{       printk("%s: ktti %s, KT adapter at 0x%x, delay %d\n",
+{       printk(KERN_INFO "%s: ktti %s, KT adapter at 0x%x, delay %d\n",
                 pi->device,KTTI_VERSION,pi->port,pi->delay);
 
 }
Index: quilt/drivers/block/paride/on20.c
===================================================================
--- quilt.orig/drivers/block/paride/on20.c
+++ quilt/drivers/block/paride/on20.c
@@ -115,7 +115,7 @@ static void on20_log_adapter( PIA *pi, c
 
 {       char    *mode_string[2] = {"4-bit","8-bit"};
 
-        printk("%s: on20 %s, OnSpec 90c20 at 0x%x, ",
+        printk(KERN_INFO "%s: on20 %s, OnSpec 90c20 at 0x%x, ",
                 pi->device,ON20_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/on26.c
===================================================================
--- quilt.orig/drivers/block/paride/on26.c
+++ quilt/drivers/block/paride/on26.c
@@ -167,7 +167,7 @@ static int on26_test_port( PIA *pi)  /* 
             }
 
 	    if (i == RESET_WAIT) 
-		printk("on26: Device reset failed (%x,%x)\n",x,y);
+		printk(KERN_NOTICE "on26: Device reset failed (%x,%x)\n",x,y);
 
             w0(4); P1; w0(4); P1;
         }
@@ -280,7 +280,7 @@ static void on26_log_adapter( PIA *pi, c
 {       char    *mode_string[5] = {"4-bit","8-bit","EPP-8",
 				   "EPP-16","EPP-32"};
 
-        printk("%s: on26 %s, OnSpec 90c26 at 0x%x, ",
+        printk(KERN_INFO "%s: on26 %s, OnSpec 90c26 at 0x%x, ",
                 pi->device,ON26_VERSION,pi->port);
         printk("mode %d (%s), delay %d\n",pi->mode,
 		mode_string[pi->mode],pi->delay);
Index: quilt/drivers/block/paride/paride.c
===================================================================
--- quilt.orig/drivers/block/paride/paride.c
+++ quilt/drivers/block/paride/paride.c
@@ -208,7 +208,7 @@ static int default_test_proto(PIA * pi, 
 	pi->proto->disconnect(pi);
 
 	if (verbose)
-		printk("%s: %s: port 0x%x, mode  %d, test=(%d,%d)\n",
+		printk(KERN_INFO "%s: %s: port 0x%x, mode  %d, test=(%d,%d)\n",
 		       pi->device, pi->proto->name, pi->port,
 		       pi->mode, e[0], e[1]);
 
@@ -235,7 +235,7 @@ int pi_register(PIP * pr)
 
 	for (k = 0; k < MAX_PROTOS; k++)
 		if (protocols[k] && !strcmp(pr->name, protocols[k]->name)) {
-			printk("paride: %s protocol already registered\n",
+			printk(KERN_DEBUG "paride: %s protocol already registered\n",
 			       pr->name);
 			return 0;
 		}
@@ -243,12 +243,12 @@ int pi_register(PIP * pr)
 	while ((k < MAX_PROTOS) && (protocols[k]))
 		k++;
 	if (k == MAX_PROTOS) {
-		printk("paride: protocol table full\n");
+		printk(KERN_INFO "paride: protocol table full\n");
 		return 0;
 	}
 	protocols[k] = pr;
 	pr->index = k;
-	printk("paride: %s registered as protocol %d\n", pr->name, k);
+	printk(KERN_INFO "paride: %s registered as protocol %d\n", pr->name, k);
 	return 1;
 }
 
@@ -259,7 +259,7 @@ void pi_unregister(PIP * pr)
 	if (!pr)
 		return;
 	if (protocols[pr->index] != pr) {
-		printk("paride: %s not registered\n", pr->name);
+		printk(KERN_INFO "paride: %s not registered\n", pr->name);
 		return;
 	}
 	protocols[pr->index] = NULL;
@@ -287,7 +287,7 @@ static int pi_register_parport(PIA * pi,
 	init_waitqueue_head(&pi->parq);
 
 	if (verbose)
-		printk("%s: 0x%x is %s\n", pi->device, pi->port, port->name);
+		printk(KERN_DEBUG "%s: 0x%x is %s\n", pi->device, pi->port, port->name);
 
 	pi->parname = (char *) port->name;
 #endif
@@ -389,7 +389,7 @@ int pi_init(PIA * pi, int autoprobe, int
 	} else if ((s < 0) || (s >= MAX_PROTOS) || (port <= 0) ||
 		   (!protocols[s]) || (unit < 0) ||
 		   (unit >= protocols[s]->max_units)) {
-		printk("%s: Invalid parameters\n", device);
+		printk(KERN_NOTICE "%s: Invalid parameters\n", device);
 		return 0;
 	}
 
@@ -442,9 +442,9 @@ int pi_init(PIA * pi, int autoprobe, int
 
 	if (!pi->port) {
 		if (autoprobe)
-			printk("%s: Autoprobe failed\n", device);
+			printk(KERN_INFO "%s: Autoprobe failed\n", device);
 		else
-			printk("%s: Adapter not found\n", device);
+			printk(KERN_INFO "%s: Adapter not found\n", device);
 		return 0;
 	}
 #ifndef CONFIG_PARPORT
@@ -456,7 +456,7 @@ int pi_init(PIA * pi, int autoprobe, int
 #endif				/* !CONFIG_PARPORT */
 
 	if (pi->parname)
-		printk("%s: Sharing %s at 0x%x\n", pi->device,
+		printk(KERN_INFO "%s: Sharing %s at 0x%x\n", pi->device,
 		       pi->parname, pi->port);
 
 	pi->proto->log_adapter(pi, scratch, verbose);
